## lemonldap-ng 2.17.0+ds

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no
PARA=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "j$$1:c" : "")')
PARAXARGS=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "-P $$1" : "")')

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
export PERL5LIB=$(shell echo `pwd`/${SRCCOMMONDIR}/blib/lib:`pwd`/${SRCHANDLERDIR}/blib/lib:`pwd`/${SRCMANAGERDIR}/blib/lib/:`pwd`/${SRCPORTALDIR}/blib/lib/)
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx
UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
CHOWN=chown
CHMOD=chmod

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSITEDIR=$(PORTALDIR)/htdocs
PORTALSTATICDIR=$(PORTALSITEDIR)/static
PORTALRELATIVESTATICDIR=/static
PORTALTEMPLATESDIR=$(PORTALDIR)/templates

MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)/htdocs
MANAGERAPIDIR=$(MANAGERDIR)/api
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERRELATIVEDOCDIR=/doc
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# LL::NG cache dir
CACHEDIR=$(DATADIR)/cache

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# uWSGI
UWSGIYAMLDIR=$(LMPREFIX)/uwsgi
LLNGAPPDIR=$(LMPREFIX)/llng-server
UWSGIUSER=$(APACHEUSER)
UWSGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# Apache log dir
APACHELOGDIR=/var/log/apache2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876
TESTUSESSL=0
E2E_TESTS='portal/*.js'

# LDAP backend test
LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapadd
LLNGTESTLDAP_SCHEMA_DIR=/etc/ldap/schema

# Default website destination
WEBSITE_DIR=doc/sources/admin/_build/html

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERAPIDIR=$(DESTDIR)/$(MANAGERAPIDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RCACHEDIR=$(DESTDIR)/$(CACHEDIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/site/templates/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSTATICDIR)/bwr/bootstrap/ \
			$(RPORTALSTATICDIR)/bwr/font-awesome \
			$(RPORTALSTATICDIR)/bwr/jquery-ui \
			$(RPORTALSTATICDIR)/bwr/jquery.cookie \
			$(RPORTALSTATICDIR)/bwr/jquery
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN)

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/PortalConstants.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
		$(SRCMANAGERDIR)/site/htdocs/static/reverseTree.json \
		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
		_example/conf/lmConf-1.json



# Javascript and CSS to minify
JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')

# Coffee files
MANAGERCOFFEESRCFILES:=$(shell find lemonldap-ng-manager/site/coffee -type f -name '*.coffee')
PORTALCOFFEESRCFILES:=$(shell find lemonldap-ng-portal/site/coffee -type f -name '*.coffee')
COFFEESRCFILES=$(MANAGERCOFFEESRCFILES) $(PORTALCOFFEESRCFILES)
MANAGERCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/js/,$(MANAGERCOFFEESRCFILES:.coffee=.js))
PORTALCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/common/js/,$(PORTALCOFFEESRCFILES:.coffee=.js))
COFFEEDSTFILES:=$(MANAGERCOFFEEDSTFILES) $(PORTALCOFFEEDSTFILES)

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal documentation
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI (or uWSGI) server install (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo "   - install_uwsgi_server   ($(UWSGIYAMLDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo

# Configure targets
# -----------------

configure:	common_conf handler_conf portal_conf manager_conf

js: $(COFFEEDSTFILES)

minify: js $(JSDSTFILES) $(CSSDSTFILES)

$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCPORTALDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCPORTALDIR)/site/htdocs/static/common/js/ $(SRCPORTALDIR)/site/coffee/$*.coffee; \
	else \
		echo "Can't find coffee"; \
	fi

$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCMANAGERDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCMANAGERDIR)/site/htdocs/static/js/ $(SRCMANAGERDIR)/site/coffee/$*.coffee; \
	fi

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	if test "$(UGLIFYJSVERSION)" = 2; then \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
	else \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map -o `basename $*`.min.js; \
	fi

fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server
	@echo Update FastCGI server man page
	@pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.8p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi

debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d

=== debian/changelog ===
lemonldap-ng (2.17.0+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Fri, 01 Sep 2023 16:31:53 +0400

lemonldap-ng (2.17.0+ds-1) unstable; urgency=medium

  * New upstream version 2.17.0+ds
  * Add dependency to libnet-cidr-perl
  * Update copyright
  * Various little fixes
  * Drop reproducible-doc.patch, now included in upstream
  * Drop fix-test-for-perl-5.38.patch, now included in upstream
  * Update cache location from /var/lib/lemonldap-ng/cache to
    /var/cache/lemonldap-ng

 -- Yadd <yadd@debian.org>  Fri, 01 Sep 2023 11:54:33 +0400

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf
Build-Depends-Indep: gpg <!nocheck>,
                     fonts-urw-base35 <!nocheck>,
                     jq,
                     libapache-session-perl <!nocheck>,
                     libauth-yubikey-webclient-perl <!nocheck>,
                     libauthen-oath-perl <!nocheck>,
                     libauthen-radius-perl <!nocheck>,
                     libauthen-webauthn-perl <!nocheck>,
                     libauthen-u2f-tester-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclass-xsaccessor-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-u2f-server-perl <!nocheck>,
                     libdatetime-format-rfc3339-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhash-merge-simple-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-string-perl,
                     libipc-run-perl <!nocheck>,
                     liblist-moreutils-perl <!nocheck>,
                     libjson-perl,
                     libjson-xs-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     liblwp-protocol-psgi-perl,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl,
                     libnet-cidr-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libio-socket-timeout-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-mockobject-perl <!nocheck>,
                     libtest-output-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libtime-fake-perl <!nocheck>,
                     libunicode-string-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     libxml-simple-perl <!nocheck>,
                     libtest-leaktrace-perl <!nocheck>,
                     python3-sphinx,
                     python3-sphinx-bootstrap-theme,
                     uglifyjs,
                     yui-compressor,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl
Recommends: libhttp-parser-xs-perl,
            libnginx-mod-http-lua,
            nginx-extras | nginx
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: liblemonldap-ng-ssoaas-apache-client-perl
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends}
Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
Multi-Arch: foreign
Description: Lemonldap::NG SSOaaS client for Apache
 Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
 system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
 permits one to enroll an Apache server into Lemonldap::NG's SSOaaS service.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: libhttp-parser-xs-perl,
            uwsgi-plugin-psgi
Suggests: nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          libsoap-lite-perl
Breaks: lemonldap-ng-fastcgi-server (<< 2.0.5~)
Replaces: lemonldap-ng-fastcgi-server (<< 2.0.5~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-common-perl (= ${binary:Version})
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-urandom-perl,
         libcrypt-rijndael-perl,
         libhtml-template-perl,
         libjson-perl,
         libjson-xs-perl,
         libnet-cidr-perl,
         libmouse-perl,
         libclass-xsaccessor-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl
Recommends: libapache-session-browseable-perl,
            libemail-sender-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libhttp-parser-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl,
          libxml-simple-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
LMCACHEDIR  =/var/cache/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
export LLNG_SKIP_GPG_TEST=1

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) lemonldap-ng-common/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		fastcgi-server/man/llng-fastcgi-server.8p
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	# Generate files excluded from import
	LANG=C $(MAKE) all
	# Extract JOSN from doc index
	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
	# Sort JSON, including arrays
	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
	# Insert new JSON in doc index
	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			PORTALDIR=$(LMSHAREDIR)/portal \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=$(CONFDIR) \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			CACHEDIR=$(LMCACHEDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng \
			UWSGIYAMLDIR=/etc/uwsgi/apps-available \
			USEDEBIANLIBS=yes
	find $(TMP)/$(LMSHAREDIR) -type f -name '.*.swp' -delete
	# Generate minified files removed by uscan
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
		echo -n "compressing $$i: "; \
		uglifyjs --comments '/Copyr/i' $$i >$${i%%.js}.min.js; \
		echo done; \
	done
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
		echo -n "compressing $$i: "; \
		yui-compressor $$i >$${i%%.css}.min.css; \
		echo done; \
	done

override_dh_compress:
	dh_compress -X favicon.ico

override_dh_missing:
	dh_missing -Xexamples/ -Xetc/cron.d -Xllng-fastcgi-server

## lemonldap-ng 2.17.0+ds2

=== debian/changelog ===
lemonldap-ng (2.17.0+ds2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop patches included in testing
  * Drop reproducible hook for doc

 -- Yadd <yadd@debian.org>  Sun, 10 Sep 2023 11:52:39 +0400

lemonldap-ng (2.17.0+ds2-1) unstable; urgency=medium

  * Disable cron.d files if systemd
  * Drop useless Breaks+Replace lemonldap-ng-fastcgi-server < 2.0.5~
  * Update excluded files list and repack

 -- Yadd <yadd@debian.org>  Fri, 08 Sep 2023 12:06:23 +0400

lemonldap-ng (2.0.16+ds-4~bpo11+2) bullseye-backports; urgency=medium

  * Fix incorrect parsing of OP-provided acr
  * Fix regression introduced in 2.16.1 that render viewer unusable

 -- Yadd <yadd@debian.org>  Sat, 13 May 2023 12:38:34 +0400

lemonldap-ng (2.0.16+ds-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 10 Feb 2023 07:44:29 +0400

lemonldap-ng (2.0.15.1+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Thu, 06 Oct 2022 15:21:37 +0200

lemonldap-ng (2.0.14+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 06:11:42 +0100

lemonldap-ng (2.0.13+ds-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 11 Oct 2021 06:45:59 +0200

lemonldap-ng (2.0.13+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 08:04:39 +0200

lemonldap-ng (2.0.13+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 23 Aug 2021 11:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -104,10 +104,10 @@
 
 Package: lemonldap-ng-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: foreign
 Description: Lemonldap::NG Web-SSO system documentation
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -150,11 +150,11 @@
 
 Package: liblemonldap-ng-ssoaas-apache-client-perl
 Architecture: all
+Multi-Arch: foreign
 Section: web
 Depends: ${misc:Depends},
          ${perl:Depends}
 Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
-Multi-Arch: foreign
 Description: Lemonldap::NG SSOaaS client for Apache
  Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
  system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
@@ -190,8 +190,6 @@
 Suggests: libcache-memcached-perl,
           libdigest-hmac-perl,
           libsoap-lite-perl
-Breaks: lemonldap-ng-fastcgi-server (<< 2.0.5~)
-Replaces: lemonldap-ng-fastcgi-server (<< 2.0.5~)
 Description: Lemonldap::NG handler part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -263,3 +261,4 @@
  OpenID-Connect, CAS and SAML systems as identity or service provider. It can
  also be used as proxy between those federation systems.
  .
+ It manages both authentication and authorization and provides headers for

## lemonldap-ng 2.17.1+ds

=== debian/changelog ===
lemonldap-ng (2.17.1+ds-1) unstable; urgency=medium

  * New upstream version 2.17.1+ds (Closes: #1052010)
  * Update copyright
  * Mark fastcgi test as "skippable" and skip it when daemon didn't start

 -- Yadd <yadd@debian.org>  Fri, 29 Sep 2023 09:56:38 +0400

## lemonldap-ng 2.17.2+ds

=== debian/changelog ===
lemonldap-ng (2.17.2+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 20 Nov 2023 10:45:25 +0400

lemonldap-ng (2.17.2+ds-2) unstable; urgency=medium

  * Drop useless dependency to libjs-cryptojs

 -- Yadd <yadd@debian.org>  Thu, 16 Nov 2023 09:59:50 +0400

lemonldap-ng (2.17.2+ds-1) unstable; urgency=medium

  * New upstream version 2.17.2+ds

 -- Yadd <yadd@debian.org>  Wed, 15 Nov 2023 10:02:48 +0400

=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,6 @@
 override_dh_auto_build:
 	# Generate files excluded from import
 	LANG=C $(MAKE) all
-	# Extract JOSN from doc index
-	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
-	# Sort JSON, including arrays
-	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
-	# Insert new JSON in doc index
-	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
 
 override_dh_auto_install:
 	$(MAKE) install \

## lemonldap-ng 2.18.1+ds

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,9 @@
 # Compression
 JSCOMPRESS=$(PROD)
 CSSCOMPRESS=$(PROD)
+
+# Perltidy version
+PERLTIDY_VERSION=20220217
 
 # External commands
 PERL=$$(which perl)

=== debian/changelog ===
lemonldap-ng (2.18.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Sat, 23 Dec 2023 10:30:24 +0400

lemonldap-ng (2.18.1+ds-1) unstable; urgency=medium

  * Add recommended dependencies to libcrypt-jwt-perl and libdigest-hmac-perl
  * New upstream version 2.18.1+ds
  * Refresh patches
  * Dependencies:
    + add recommended dependency to libdata-password-zxcvbn-perl
    + add dependency to libconvert-base32-perl, libdigest-hmac-perl and
      libhtml-formattext-withlinks-perl
  * Add debug for fastcgiserver test
  * Drop drop-network-test.patch and use new SKIP_NETWORK_TEST environment
    variable

 -- Yadd <yadd@debian.org>  Sat, 23 Dec 2023 07:23:55 +0400

lemonldap-ng (2.17.2+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Mon, 20 Nov 2023 06:48:15 +0400

## lemonldap-ng 2.18.2+ds

=== debian/changelog ===
lemonldap-ng (2.18.2+ds-1) unstable; urgency=medium

  * New upstream version 2.18.2+ds

 -- Yadd <yadd@debian.org>  Wed, 07 Feb 2024 11:07:02 +0400

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,13 @@
                      libconfig-inifiles-perl <!nocheck>,
                      libconvert-base32-perl <!nocheck>,
                      libconvert-pem-perl <!nocheck>,
+                     libcrypt-jwt-perl <!nocheck>,
                      libcrypt-openssl-rsa-perl <!nocheck>,
                      libcrypt-openssl-x509-perl <!nocheck>,
                      libcrypt-urandom-perl <!nocheck>,
                      libcrypt-rijndael-perl <!nocheck>,
                      libcrypt-u2f-server-perl <!nocheck>,
+                     libdata-password-zxcvbn-perl <!nocheck>,
                      libdatetime-format-rfc3339-perl <!nocheck>,
                      libdbd-sqlite3-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
@@ -34,6 +36,7 @@
                      libglib-perl <!nocheck>,
                      libgssapi-perl <!nocheck>,
                      libhash-merge-simple-perl <!nocheck>,
+                     libhtml-formattext-withlinks-perl <!nocheck>,
                      libhtml-template-perl <!nocheck>,
                      libimage-magick-perl <!nocheck>,
                      libio-string-perl,
@@ -45,6 +48,7 @@
                      liblwp-protocol-psgi-perl,
                      libmime-tools-perl <!nocheck>,
                      libmouse-perl,
+                     libnet-cidr-lite-perl <!nocheck>,
                      libnet-cidr-perl <!nocheck>,
                      libnet-ldap-perl <!nocheck>,
                      libio-socket-timeout-perl <!nocheck>,
@@ -258,7 +262,3 @@
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
- OpenID-Connect, CAS and SAML systems as identity or service provider. It can
- also be used as proxy between those federation systems.
- .
- It manages both authentication and authorization and provides headers for

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 CONFDIR=/etc/lemonldap-ng
 export LLNG_SKIP_GPG_TEST=1
+export SKIP_NETWORK_TESTS=1
 
 %:
 	dh $@
@@ -23,6 +24,12 @@
 override_dh_auto_build:
 	# Generate files excluded from import
 	LANG=C $(MAKE) all
+	# Extract JOSN from doc index
+	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
+	# Sort JSON, including arrays
+	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
+	# Insert new JSON in doc index
+	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
 
 override_dh_auto_install:
 	$(MAKE) install \

=== debian/watch ===
version=4
opts="dversionmangle=s/[\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$//,repacksuffix=+ds,repack" \
 https://releases.ow2.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.tar\.gz

## lemonldap-ng 2.19.0+ds

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 NGINX=/usr/sbin/nginx
 UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
 CHOWN=chown
+CHGRP=chgrp
 CHMOD=chmod
 
 # Default directories install
@@ -53,6 +54,8 @@
 BINDIR=$(LMPREFIX)/bin
 SBINDIR=$(LMPREFIX)/sbin
 INITDIR=$(LMPREFIX)/etc/init.d
+UNITDIR=$(LMPREFIX)/usr/lib/systemd/system
+TMPFILESDIR=$(LMPREFIX)/usr/lib/tmpfiles.d
 ETCDEFAULTDIR=$(LMPREFIX)/etc/default
 DATADIR=$(LMPREFIX)/data
 
@@ -162,6 +165,8 @@
 RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
 RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
 RINITDIR=$(DESTDIR)/$(INITDIR)
+RUNITDIR=$(DESTDIR)/$(UNITDIR)
+RTMPFILESDIR=$(DESTDIR)/$(TMPFILESDIR)
 RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
 RDATADIR=$(DESTDIR)/$(DATADIR)
 RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
@@ -349,6 +354,3 @@
 # Perl libraries configuration
 
 json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
-	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi
-
-debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d

=== debian/changelog ===
lemonldap-ng (2.19.0+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Fri, 03 May 2024 10:09:52 +0400

lemonldap-ng (2.19.0+ds-2) unstable; urgency=medium

  * Ignore some pure coverage test during autopkgtest

 -- Yadd <yadd@debian.org>  Tue, 30 Apr 2024 21:59:54 +0400

lemonldap-ng (2.19.0+ds-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Add recreated files with constants to debian/clean. (Closes: #1045890)

  [ Yadd ]
  * Add upstream GPG keys
  * Require pgp signature when downloading
  * New upstream version 2.19.0+ds
  * Unfuzz patches
  * Update install

 -- Yadd <yadd@debian.org>  Tue, 30 Apr 2024 21:33:34 +0400

lemonldap-ng (2.18.2+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Sun, 11 Feb 2024 10:12:27 +0400

## lemonldap-ng 2.19.1+ds

=== debian/changelog ===
lemonldap-ng (2.19.1+ds-4) unstable; urgency=medium

  * Fix test when local LDAP is running (replaces 2.19.1+ds-3 changes)
  * Drop link to libcrypt-u2f-server-perl (U2F is no more supported by Chrome
    and replaced by WebAuthn))

 -- Yadd <yadd@debian.org>  Thu, 25 Jul 2024 07:33:30 +0400

lemonldap-ng (2.19.1+ds-3) unstable; urgency=medium

  * Drop test t/41-Captcha-with-LDAP.t

 -- Yadd <yadd@debian.org>  Sun, 21 Jul 2024 09:42:10 +0400

lemonldap-ng (2.19.1+ds-2) unstable; urgency=medium

  * Declare first configuration file as conffile (Closes: #1008820)

 -- Yadd <yadd@debian.org>  Tue, 16 Jul 2024 07:34:32 +0400

lemonldap-ng (2.19.1+ds-1) unstable; urgency=medium

  * Install missing llngUserAttributes command
  * New upstream version 2.19.1+ds

 -- Yadd <yadd@debian.org>  Mon, 15 Jul 2024 19:27:59 +0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                      libcrypt-openssl-x509-perl <!nocheck>,
                      libcrypt-urandom-perl <!nocheck>,
                      libcrypt-rijndael-perl <!nocheck>,
-                     libcrypt-u2f-server-perl <!nocheck>,
                      libdata-password-zxcvbn-perl <!nocheck>,
                      libdatetime-format-rfc3339-perl <!nocheck>,
                      libdbd-sqlite3-perl <!nocheck>,
@@ -262,3 +261,4 @@
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
+ OpenID-Connect, CAS and SAML systems as identity or service provider. It can

## lemonldap-ng 2.19.2%2Bds

=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,6 @@
 override_dh_auto_build:
 	# Generate files excluded from import
 	LANG=C $(MAKE) all
-	# Extract JOSN from doc index
-	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
-	# Sort JSON, including arrays
-	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
-	# Insert new JSON in doc index
-	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
 
 override_dh_auto_install:
 	$(MAKE) install \
@@ -68,6 +62,7 @@
 		yui-compressor $$i >$${i%%.css}.min.css; \
 		echo done; \
 	done
+	rm -rf $(TMP)/usr/share/lemonldap-ng/usr/lib/systemd
 
 override_dh_compress:
 	dh_compress -X favicon.ico
